Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class Cassandra.AsyncClient.system_update_column_family_call

    java.lang.Object
      org.apache.thrift.async.TAsyncMethodCall
          org.apache.cassandra.thrift.Cassandra.AsyncClient.system_update_column_family_call

Enclosing class:
  Cassandra.AsyncClient

    public static class Cassandra.AsyncClient.system_update_column_family_call

extends org.apache.thrift.async.TAsyncMethodCall

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.thrift.async.TAsyncMethodCall
`org.apache.thrift.async.TAsyncMethodCall.State`

Field Summary

Fields inherited from class org.apache.thrift.async.TAsyncMethodCall
`client, transport`

Constructor Summary
`Cassandra.AsyncClient.system_update_column_family_call(CfDef cf_def, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_update_column_family_call> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`

Method Summary
`java.lang.String` | `getResult()`
`void` | `write_args(org.apache.thrift.protocol.TProtocol prot)`

Methods inherited from class org.apache.thrift.async.TAsyncMethodCall
`getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall, transition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cassandra.AsyncClient.system_update_column_family_call

    public Cassandra.AsyncClient.system_update_column_family_call(CfDef cf_def,
                                                                  org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_update_column_family_call> resultHandler,
                                                                  org.apache.thrift.async.TAsyncClient client,
                                                                  org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                                                                  org.apache.thrift.transport.TNonblockingTransport transport)
                                                           throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

Method Detail

### write_args

    public void write_args(org.apache.thrift.protocol.TProtocol prot)
                    throws org.apache.thrift.TException

  Specified by:
    `write_args` in class `org.apache.thrift.async.TAsyncMethodCall`
  Throws:
    `org.apache.thrift.TException`

### getResult

    public java.lang.String getResult()
                               throws InvalidRequestException,
                                      SchemaDisagreementException,
                                      org.apache.thrift.TException

  Throws:
    `InvalidRequestException`
    `SchemaDisagreementException`
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation